package org.rcisoft.sys.devices.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2022年11月24日 下午5:36:12.
*/
@Data
@TableName("devices")
public class Devices  extends CyIdNotDataEntity<Devices> {

     /**
     * @desc 设备唯一标识
     * @column device_guid
     * @default 
     */
     @Excel(name = "设备唯一标识", orderNum = "0", width = 20)
     private String deviceGuid;
     /**
     * @desc 设备 id,可用于远程操作
     * @column device_id
     * @default 
     */
     @Excel(name = "设备 id,可用于远程操作", orderNum = "1", width = 20)
     private String deviceId;
     /**
     * @desc 设备名称
     * @column device_name
     * @default 
     */
     @Excel(name = "设备名称", orderNum = "2", width = 20)
     private String deviceName;
     /**
     * @desc 设备的 ip 地址
     * @column device_ip
     * @default 
     */
     @Excel(name = "设备的 ip 地址", orderNum = "3", width = 20)
     private String deviceIp;
     /**
     * @desc 设备的 ip 网关
     * @column device_gateway
     * @default 
     */
     @Excel(name = "设备的 ip 网关", orderNum = "4", width = 20)
     private String deviceGateway;
     /**
     * @desc 设备的 ip 子网掩码
     * @column device_netmask
     * @default 
     */
     @Excel(name = "设备的 ip 子网掩码", orderNum = "5", width = 20)
     private String deviceNetmask;
     /**
     * @desc 闸门类型(判断进口还是出口，1：进口 2：出口)
     * @column device_type
     * @default 
     */
     @Excel(name = "闸门类型(判断进口还是出口，1：进口 2：出口)", orderNum = "6", width = 20)
     private String deviceType;
     /**
     * @desc 出入口类型(数据字典)
     * @column deviceIo_type
     * @default 
     */
     @Excel(name = "出入口类型(数据字典)", orderNum = "7", width = 20)
     private String deviceioType;
     /**
     * @desc 备注
     * @column remark
     * @default 
     */
     @Excel(name = "备注", orderNum = "8", width = 20)
     private String remark;
     /**
     * @desc 设备父节点（设备 id）
     * @column parent_id
     * @default 
     */
     @Excel(name = "设备父节点（设备 id）", orderNum = "9", width = 20)
     private String parentId;

     /**
      * @desc 设备来源（1：捷顺，2：中控）
      * @column source
      * @default
      */
     private String source;

}

