package org.rcisoft.sys.devices.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.sys.devices.entity.Devices;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2022年11月24日 下午5:36:12.
 */
public interface DevicesService {

    /**
    * 保存 通行设备信息表
    * @param devices
    * @return
    */
    CyPersistModel persist(Devices devices);

    /**
    * 删除 通行设备信息表
    * @param devices
    * @return
    */
    CyPersistModel remove(Devices devices);
    /**
    * 修改 通行设备信息表
    * @param devices
    * @return
    */
    CyPersistModel merge(Devices devices);

    /**
    * 根据id查询 通行设备信息表
    * @param id
    * @return
    */
    Devices findById(String id);

    /**
    * 分页查询 通行设备信息表
    * @param devices
    * @return
    */
    IPage<Devices> findAllByPagination(CyPageInfo<Devices> paginationUtility,
              Devices devices);


    /**
    * 查询list 通行设备信息表
    * @param devices
    * @return
    */
    List<Devices> findAll(Devices devices);


    /**
    * 导出通行设备信息表
    * @return
    */
    List<Devices> export(Devices devices);

    /**
     * 根据设备唯一标识查询设备
     * @param deviceGuid
     * @return
     */
    Devices getDeviceInfoByDeviceGuid(String deviceGuid);

}
